{% extends "base.html" %}
{% load alarme_utils %}

{% block title %}Accueil{% endblock %}

{% block bodyclass %}page-home{% endblock %}

{% block breadcrumb %}{% endblock %}

{% block content %}
{% if factures %}
<p class="alert alert-warning">
    <a href="{% url 'factures-non-transmises' %}">{{ factures }} facture(s)</a> sont en attente de transmission à la comptabilité.
</p>
{% endif %}

<div class="row row-cols-1 row-cols-md-3 g-4">
  <div class="col">
    <a href="{% url 'clients' %}" class="link-light">
    <div class="card h-100 text-white">
      <div class="card-body d-flex flex-column align-items-center justify-content-center">
        <h3 class="card-title">Clients</h5>
        <p class="card-text text-center">Gestion des clients alarmes</p>
      </div>
    </div>
    </a>
  </div>
  <div class="col">
    <a href="{% url 'benevoles' 'alarme' %}" class="link-light">
    <div class="card h-100 text-white">
      <div class="card-body d-flex flex-column align-items-center justify-content-center">
        <h3 class="card-title">Bénévoles</h3>
        <p class="card-text text-center">Gestion des bénévoles alarme</p>
      </div>
    </div>
    </a>
  </div>
  <div class="col">
    <a href="{% url 'professionnels' %}" class="link-light">
    <div class="card h-100 text-white">
      <div class="card-body d-flex flex-column align-items-center justify-content-center">
        <h3 class="card-title">Professionnels</h3>
        <p class="card-text text-center">Gestion des professionnels (médecins, samas, etc.)</p>
      </div>
    </div>
    </a>
  </div>
  <div class="col">
    <a href="{% url 'materiel' %}" class="link-light">
    <div class="card text-white">
      <div class="card-body {% if perms.common.change_utilisateur %}card-smaller{% endif %} d-flex flex-column align-items-center justify-content-center">
        <h3 class="card-title">Matériel</h3>
        <p class="card-text text-center">Gestion du matériel, appareils d’alarme y compris</p>
      </div>
    </div>
    </a>
    {% if perms.common.change_utilisateur %}
    <a href="{% url 'utilisateur-list' %}" class="link-light">
    <div class="card text-white mt-1">
      <div class="card-body card-smaller d-flex flex-column align-items-center justify-content-center">
        <h3 class="card-title text-center">Gestion des utilisateurs</h3>
      </div>
    </div>
    </a>
    {% endif %}
  </div>
  {% if perms.alarme.view_facture %}
  <div class="col">
    <a href="{% url 'facturation' %}" class="link-light">
    <div class="card h-100 text-white">
      <div class="card-body d-flex flex-column align-items-center justify-content-center">
        <h3 class="card-title">Finances</h3>
        <p class="card-text text-center">Facturation, défraiements, articles</p>
      </div>
    </div>
    </a>
  </div>
  {% endif %}
  <div class="col">
    <a href="{% url 'stats-index' %}" class="link-light">
    <div class="card h-100 text-white">
      <div class="card-body d-flex flex-column align-items-center justify-content-center">
        <h3 class="card-title">Statistiques</h3>
        <p class="card-text text-center"></p>
      </div>
    </div>
    </a>
  </div>
</div>

<ul id="home-tabs" class="nav nav-tabs mt-5" role="tablist">
  <li class="nav-item">
    <button class="nav-link{% if current_tab == 'nouveaux' %} active{% endif %}" data-bs-toggle="tab"
            data-bs-target="#nouveaux" type="button" role="tab" aria-selected="true">
        Nouveaux clients <span class="badge bg-secondary">{{ nbre_nouveaux }}</span>
    </button>
  </li>
  <li class="nav-item">
    <button class="nav-link{% if current_tab == 'interventions' %} active{% endif %}" data-bs-toggle="tab"
            data-bs-target="#interventions" type="button" role="tab" aria-selected="true">
        Autres interventions
    </button>
  </li>
  <li id="alertes_tab" class="nav-item">
    <button class="nav-link{% if current_tab == 'alertes' %} active{% endif %}" data-bs-toggle="tab" data-bs-target="#alertes" type="button" role="tab">Alertes <span class="badge bg-secondary">{{ alertes|length }}</span></button>
  </li>
  <li id="absences_tab" class="nav-item">
    <button class="nav-link{% if current_tab == 'absences' %} active{% endif %}" data-bs-toggle="tab" data-bs-target="#absences" type="button" role="tab">Absences/Hospit. <span class="badge bg-secondary">{{ absences|length }}</span></button>
  </li>
  <li id="mat_attente_tab" class="nav-item">
    <button class="nav-link{% if current_tab == 'materiel' %} active{% endif %}" data-bs-toggle="tab" data-bs-target="#materiel" type="button" role="tab">Matériel en attente <span class="badge bg-secondary">{{ mat_en_attente|length }}</span></button>
  </li>
  <li id="controles_tab" class="nav-item">
    <a class="nav-link{% if current_tab == 'controles' %} active{% endif %}" href="{% url 'controles' %}"
       data-bs-toggle="tab" data-bs-target="#controles" type="button" role="tab">Autres contrôles</a>
  </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade{% if current_tab == 'nouveaux' %} show active{% endif %}" id="nouveaux">
    {% for client in nouveaux.clients %}
        {% if forloop.first %}
            <table class="table mission">
                <thead><th>Client (intervention à planifier)</th></thead>
                <tbody>
        {% endif %}
        <tr><td>
            <a href="{% url 'client-edit' client.pk %}">{{ client.nom_prenom }}</a>, {{ client.npa }} {{ client.localite }}
        </td></tr>
        {% if forloop.last %}
        </tbody></table>
        {% endif %}
    {% endfor %}

    {% include 'alarme/tableau_interventions.html' with missions=nouveaux.missions %}
    </div>

    <div class="tab-pane fade{% if current_tab == 'interventions' %} show active{% endif %}" id="interventions">
    {% include 'alarme/tableau_interventions.html' with missions=missions %}
    </div>

    <div class="tab-pane fade striped{% if current_tab == 'materiel' %} show active{% endif %}" id="materiel">
      {% for install in mat_en_attente %}
        <div class="row p-2">
            <div class="col">
                <a href="{{ install.client.get_absolute_url }}">{{ install.client }}</a>,
                {{ install.client.npa }} {{ install.client.localite }}, {{ install.alarme }}, fin d’abonnement le {{ install.date_fin_abo|date:'d.m.Y' }}
            </div>
            <div class="col-1">
                <button type="button" class="btn btn-light btn-icon openmodal" title="Indiquer retour du matériel"
                        data-modalurl="{% url 'install-edit' install.pk %}">
                    <img class="icon" src="{% static 'img/edit.svg' %}">
                </button>
            </div>
        </div>
      {% endfor %}
    </div>

    <div class="tab-pane fade striped{% if current_tab == 'alertes' %} show active{% endif %}" id="alertes">
      {% include 'client/alertes_loop.html' %}
    </div>

    <div class="tab-pane fade striped{% if current_tab == 'absences' %} show active{% endif %}" id="absences">
      {% for absence in absences %}
        <div class="row p-2">
            <div class="col">
                <a href="{{ absence.adresse.client.get_absolute_url }}">{{ absence.adresse.client }}</a>
            </div>
            <div class="col-md-6">
              {% with adresse_str=absence.adresse|ligne_adresse %}
                {% if absence.adresse.hospitalisation %}À l’hôpital {% if adresse_str %}({{ adresse_str }}){% endif %}
                {% else %}{{ adresse_str }}
                {% endif %}
              {% endwith %}
                {% if absence.remarque %}<br>{{ absence.remarque|linebreaksbr }}{% endif %}
            </div>
            <div class="col">
                Depuis le {{ absence.depuis }}
            </div>
            <div class="col">
                <i><a href="{% url 'client-absence-edit' absence.adresse.client.pk absence.pk %}" class="openmodal"
                      title="Édition d’absence de {{ absence.adresse.client }}">suivi…</a></i>
                ({{ absence.dernier_contact|default_if_none:'-' }})
            </div>
        </div>
      {% endfor %}
    </div>

    <div class="tab-pane fade{% if current_tab == 'controles' %} show active{% endif %}" id="controles">
    </div>
</div>
{% endblock %}
